<form>
  <div class="form-group">
    <div class="input-group">
      <div class="input-group-addon">
        <i class="glyphicon glyphicon-search"></i>
      </div>
      <input
        type="text"
        class="form-control"
        name="searchString"
        placeholder="Type to search..."
        [(ngModel)]="searchText"
      />
    </div>
  </div>
</form>
<div *ngIf="searchText == undefined">
  Average Height : {{height}}
</div>
<br>
<table class="table table-hover">
  <thead>
  <tr>
      <td>Name</td>
      <td>Height</td>
      <td>Eye Color</td>
      <td>Birth Year</td>
      <td>Gender</td>
  </tr>
  </thead>

  <tbody>
      <tr *ngFor="let character of characters | searchFilter: 'name' : searchText; let i = index">
          <td>{{ character.name }}</td>
          <td>{{ character.height }}</td>
          <td>{{ character.eye_color }}</td>
          <td>{{ character.birth_year }}</td>
          <td>{{ character.gender }}</td>
      </tr>
  </tbody>
</table>